Search & metadata
Update metadata
Add or change metadata on a ledger, transaction, identity, or balance.
POST
/{id}/metadataAuthorization
If set, the API uses an API key for authentication. Include the following header in your requests: X-blnk-key: <api-key>.
Replace <api-key> with your secret API key. Ensure the key is kept secure and not exposed in public repositories or client-side code.
See also: Core API key.
Path
idstring
The unique identifier of the ledger, transaction, identity, or balance whose metadata you want to update.
Body
meta_dataobject
Metadata information to be added or updated.